### Method

# Gck Module get_slots

#### Declaration [src]

    GList*
    gck_module_get_slots (
      GckModule* self,
      gboolean token_present
    )

#### Description [src]

Get the GckSlot objects for a given module.

#### Parameters

`token_present` | `gboolean`
| Whether to limit only to slots with a token present.

#### Return value

Returns: | A list of `None`
| The possibly empty list of slots.
| The caller of the method takes ownership of the data, and is responsible for freeing it.